> For the complete documentation index, see [llms.txt](https://docs.fact-finder.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.fact-finder.com/integration/tracking-interface/general-parameters.md).

# General Parameters

The following parameters are required or optional for each call.

| Parameter  |                                        | Description                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| ---------- | -------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| `id`       | essential                              | ID of the item for which information is sent. If you use several ID fields, such as product ID, version ID, EAN, or ISBN, check with FactFinder which value should be passed here.                                                                                                                                                                                                                                                                                                                                                                     |
| `masterId` | essential if **deduplication** is used | If your shop contains item variants and you send the variant ID through the `id` parameter, also send the master item number here. This ensures that products and related events can be linked correctly.                                                                                                                                                                                                                                                                                                                                              |
| `channel`  | essential                              | The name of the FactFinder channel in which the search was conducted.                                                                                                                                                                                                                                                                                                                                                                                                                                                                                  |
| `sid`      | essential                              | <p>Use this to pass the user’s session identifier. It is used for log analysis, such as click-through rate, search-to-cart rate, and conversion rate.</p><blockquote><p>If you plan to use personalization, pass this parameter for all tracking events and for searches.</p></blockquote>                                                                                                                                                                                                                                                             |
| `event`    | essential                              | <p>This parameter specifies the event type. Please use the following values for the various types:</p><ul><li><code>click</code> – Click on the product or link to the details page</li><li><code>cart</code> – Product placed in the shopping basket</li><li><code>checkout</code> – Product purchased</li><li><code>login</code> – User logs in</li><li><code>recommendationClick</code> – Click on a product suggested by the Recommendation Engine</li><li><code>feedback</code> – Comment on the search result left by the shop visitor</li></ul> |
| `title`    | essential                              | The item name. This value is optional in practice. You can also send an empty string or omit the parameter.                                                                                                                                                                                                                                                                                                                                                                                                                                            |
| `userId`   | essential                              | Use this to pass a user identifier. Like the session ID, it must be anonymized. Unlike `sid`, it stays the same when a user returns. This parameter is required for the `login` event if the Personalization module is used.                                                                                                                                                                                                                                                                                                                           |

## REST

The REST API documentation is part of the search application and is available at \[your NG server]/fact-finder/swagger-ui.html. You can also access it here:

Swagger Link: <https://ng-demo.fact-finder.de/fact-finder/swagger-ui.html>

In addition to the parameter documentation, you can test requests and inspect the results directly. Because the documentation is built with Swagger, you can also use Swagger Codegen to generate a client.

Tracking interface documentation is available under the `tracking` resource.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.fact-finder.com/integration/tracking-interface/general-parameters.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
